<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>D-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="D-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:D">
<!--   -->
</a>
<h2 class="title">D</h2>
<dl>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/CustomColor.html#DARK_GRAY">DARK_GRAY</a></span> - Static variable in class org.david.geo.style.<a href="../org/david/geo/style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a></dt>
<dd>
<div class="block">The CustomColor dark gray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/CustomColor.html#darkGray">darkGray</a></span> - Static variable in class org.david.geo.style.<a href="../org/david/geo/style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a></dt>
<dd>
<div class="block">The CustomColor dark gray.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/style/CustomColor.html#decode(java.lang.String)">decode(String)</a></span> - Static method in class org.david.geo.style.<a href="../org/david/geo/style/CustomColor.html" title="class in org.david.geo.style">CustomColor</a></dt>
<dd>
<div class="block">decode a CustomColor from a Hexadecimal String</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/image/Image.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.image.<a href="../org/david/geo/image/Image.html" title="class in org.david.geo.image">Image</a></dt>
<dd>
<div class="block">draw an image in a graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/line/Line.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.line.<a href="../org/david/geo/line/Line.html" title="class in org.david.geo.line">Line</a></dt>
<dd>
<div class="block">draw a Line in a graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/polyshapes/PolyGon.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.polyshapes.<a href="../org/david/geo/polyshapes/PolyGon.html" title="class in org.david.geo.polyshapes">PolyGon</a></dt>
<dd>
<div class="block">draw a polygon in a graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/polyshapes/PolyLine.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.polyshapes.<a href="../org/david/geo/polyshapes/PolyLine.html" title="class in org.david.geo.polyshapes">PolyLine</a></dt>
<dd>
<div class="block">draw a polyLine in a graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/primitive/PrimitiveInterface.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in interface org.david.geo.primitive.<a href="../org/david/geo/primitive/PrimitiveInterface.html" title="interface in org.david.geo.primitive">PrimitiveInterface</a></dt>
<dd>
<div class="block">a primitive can be drawn.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Ellipse.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Ellipse.html" title="class in org.david.geo.shapes">Ellipse</a></dt>
<dd>
<div class="block">draw an ellipse in a graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/shapes/Rectangle.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.shapes.<a href="../org/david/geo/shapes/Rectangle.html" title="class in org.david.geo.shapes">Rectangle</a></dt>
<dd>
<div class="block">draw a rectangle in a graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/text/Text.html#draw(java.awt.Graphics)">draw(Graphics)</a></span> - Method in class org.david.geo.text.<a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></dt>
<dd>
<div class="block">draw a text in a graphic.</div>
</dd>
<dt><a href="../org/david/vue/drawingzone/DrawingZone.html" title="class in org.david.vue.drawingzone"><span class="typeNameLink">DrawingZone</span></a> - Class in <a href="../org/david/vue/drawingzone/package-summary.html">org.david.vue.drawingzone</a></dt>
<dd>
<div class="block">class to create a drawing zone to draw in a 2D graphic.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/vue/drawingzone/DrawingZone.html#%3Cinit%3E()">DrawingZone()</a></span> - Constructor for class org.david.vue.drawingzone.<a href="../org/david/vue/drawingzone/DrawingZone.html" title="class in org.david.vue.drawingzone">DrawingZone</a></dt>
<dd>
<div class="block">initialize a drawing zone.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/xmleditor/XmlView.html#drawUnselectedText(java.awt.Graphics,int,int,int,int)">drawUnselectedText(Graphics, int, int, int, int)</a></span> - Method in class lib.xmleditor.<a href="../lib/xmleditor/XmlView.html" title="class in lib.xmleditor">XmlView</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
